/*********************************************
* util.c - Utility functions
*
* CVS $Id: util.c,v 1.6 2004/08/16 20:42:12 wcampbel Exp $
*********************************************/

#include "oper.h"

time_t last_ison;

void log(char *fmt, ...)
{
        va_list ap;
        FILE *logfile;
        char buf[512], fmtime[80];
        time_t tmp = time(NULL);

        va_start(ap, fmt);
        vsnprintf(buf, 512, fmt, ap);

        strftime(fmtime, 80, "%H:%M[%m/%d/%Y]", localtime(&tmp));

        if ((logfile = fopen(LOGFILE, "a")) == NULL) return;

        if (logfile)
                fprintf(logfile, "(%s) %s\n", fmtime, buf);

#ifdef DEBUG
        fprintf(stderr, "(%s) %s\n", fmtime, buf);
#endif

        fclose(logfile);
        va_end(ap);
}

void sts(char *fmt,...)
{
        va_list ap;
        char buf[512];

        va_start (ap, fmt);
        vsnprintf (buf, 512, fmt, ap);

#ifdef DEBUG
        log("SENT: %s", buf);
#endif
        strcat (buf, "\n");

        if ((write (servsock, buf, strlen (buf))) == -1) {
                log("Write error.");
                exit(0);
        }

        va_end (ap);
}

void events(void)
{
	time_t now = time(NULL);

	if (UsingAltnick())
	{
		if (now > (last_ison + ISONDELAY))
		{
			sts("ISON %s", me.nick);
			last_ison = now;
		}
	}
}

void init_events(void)
{
	last_ison = 0;
	StopAltnick();
}
